//mixerstore.h:

/*
 *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2013
 *
 *  This file is part of SavannahIce,
 *  a protocol converter between RoarAudio and Icecast.
 *  See README for details.
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  RoarAudio is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 *
 */

#ifndef _SAVABBAHICE_MIXERSTORE_H_
#define _SAVABBAHICE_MIXERSTORE_H_

typedef struct savannahice_mixerstore * savannahice_mixerstore_t;

savannahice_mixerstore_t savannahice_mixerstore_new(void);
int savannahice_mixerstore_ref(savannahice_mixerstore_t self);
int savannahice_mixerstore_unref(savannahice_mixerstore_t self);

int savannahice_mixerstore_add_mixer(savannahice_mixerstore_t self, savannahice_mixer_t mixer);
savannahice_mixer_t savannahice_mixerstore_get_mixer_by_id(savannahice_mixerstore_t self, int id);

int savannahice_mixerstore_handle(savannahice_mixerstore_t self);

int_least32_t savannahice_mixerstore_delay(savannahice_mixerstore_t self);

#endif

//ll
