//savannahice.h:

/*
 *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2013
 *
 *  This file is part of SavannahIce,
 *  a protocol converter between RoarAudio and Icecast.
 *  See README for details.
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  RoarAudio is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 *
 */

#ifndef _SAVABBAHICE_H_
#define _SAVABBAHICE_H_

#include <stdio.h>
#include <string.h>

extern int g_verbose;
#define ROAR_DBG_INFOVAR g_verbose


#include <roaraudio.h>

#include "config.h"
#include "pool.h"
#include "plugin.h"
#include "proto.h"
#include "network.h"
#include "stream.h"
#include "mixer.h"
#include "mixerstore.h"

#ifdef ROAR_VSTR_ROARAUDIO
#define DEVICE_VENDOR_STRING ROAR_VSTR_ROARAUDIO
#endif

#define PACKAGE_VERSION "current"
#define DISTRIBUTION_VERSION_STRING ""

#if defined(PACKAGE_VERSION) && defined(DEVICE_VENDOR_STRING) && defined(DISTRIBUTION_VERSION_STRING)
#define SAVABBAHICE_VERSION "SavannahIce/" PACKAGE_VERSION " " DEVICE_VENDOR_STRING DISTRIBUTION_VERSION_STRING
#endif

#define DEFAULT_SLEEP_TIME  640000

extern savannahice_mixerstore_t g_mixerstore;
extern savannahice_network_t g_network;

#endif

//ll
